| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainLayerSampler Struct Reference
Optional Components » Terrain

Description of a sampler that will be used with each layer. More...

`#include <OgreTerrainMaterialGenerator.h>`

## Public Member Functions
| TerrainLayerSampler ()
| TerrainLayerSampler (const String &aliasName, PixelFormat fmt)
bool | operator== (const TerrainLayerSampler &s) const

## Public Attributes
String | alias
| A descriptive name that is merely used to assist in recognition. More...
PixelFormat | format
| The format required of this texture. More...

## Detailed Description

Description of a sampler that will be used with each layer.

## Constructor & Destructor Documentation

## ◆ TerrainLayerSampler() [1/2]

Ogre::TerrainLayerSampler::TerrainLayerSampler | ( |  | ) |
| inline

## ◆ TerrainLayerSampler() [2/2]

Ogre::TerrainLayerSampler::TerrainLayerSampler | ( | const String & | aliasName,
|  | PixelFormat | fmt
| ) |  |
| inline

## Member Function Documentation

## ◆ operator==()

bool Ogre::TerrainLayerSampler::operator== | ( | const TerrainLayerSampler & | s | ) | const
| inline

References alias, and format.

## Member Data Documentation

## ◆ alias

String Ogre::TerrainLayerSampler::alias

A descriptive name that is merely used to assist in recognition.

Referenced by operator==().

## ◆ format

PixelFormat Ogre::TerrainLayerSampler::format

The format required of this texture.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreTerrainMaterialGenerator.h